Mouseware uses a cryptographically secure random number generator based on
your mouse movements to generate secure, memorable passwords. Passwords are
generated entirely in the browser, no data is ever sent over the network. The
generated passphrases are similar to those generated by
[Diceware](http://world.std.com/~reinhold/diceware.html) or popularized by
[xkcd](http://xkcd.com/936/), with an emphasis on easy memorization.

We use SHA256 to process the location and timestamp of every mousemove event.
Random words are then selected from noun, adjective and verb word lists to
construct a random sentence. Shannon entropy is reported to estimate password
strength. To avoid a time-consuming mouse moving session on every page load,
we use localStorage to store a seed and initialize our internal entropy buffer
with it on the next load.

To increase entropy when desired, options to replace a randomly chosen letter
with a number or symbol are given. Entropy calculation takes these into
account, and increases the reported entropy by the logarithm of the number of
letters considered for replacement.
